Package Details: kops-bin v1.19.1-1

Git Clone URL: https://aur.archlinux.org/kops-bin.git (read-only, click to copy)
Package Base: kops-bin
Description: Kubernetes Operations (kops) - Production Grade K8s Installation, Upgrades, and Management
Upstream URL: https://github.com/kubernetes/kops
Keywords: devops kops kubernetes terraform
Licenses: Apache
Submitter: dennisoehme
Maintainer: hawara
Last Packager: hawara
Votes: 7
Popularity: 0.004589
First Submitted: 2017-05-26 09:46
Last Updated: 2021-02-20 06:10

Dependencies (0)

Required by (0)

Sources (1)

Latest Comments

1 2 Next › Last »

hawara commented on 2020-09-27 20:50

https://gist.github.com/mtb-xt/b468079e84f6bf10dfeb9f4348d4d02d <- 1.18.1 PKGBUILD

darose commented on 2020-08-19 15:46

Any update planned? V1.18 has now been released. https://github.com/kubernetes/kops/releases/tag/v1.18.0

arth commented on 2020-05-06 15:37

It's still maintained?

dennisoehme commented on 2019-03-05 09:57

@niallm90 thx! its part of pkgbuild.

niallm90 commented on 2019-01-09 19:59

You can add the bash and zsh completion to kops by copying whats present in the kubectl-bin PKGBUILD.

Place the following at the bottom of your package step:

install -d 755 "$pkgdir/usr/share/bash-completion/completions"
install -d 755 "$pkgdir/usr/share/zsh/site-functions"
"$pkgdir/usr/bin/kops" completion bash > "$pkgdir/usr/share/bash-completion/completions/kops"
"$pkgdir/usr/bin/kops" completion zsh >  "$pkgdir/usr/share/zsh/site-functions/_kops"

dennisoehme commented on 2018-07-31 07:09

This problem occurs because the download files do not have a unique name, so the files are cached and the checksum fails. Now it should be fixed!

kabalage commented on 2018-07-30 12:09

I'm also getting the error. Downloaded the source and checked the md5sum of it and it's the same as the one in the PKGBUILD file. I'm using aurman.

liftM commented on 2018-06-18 22:38

I'm also seeing an MD5 error:

==> Validating source_x86_64 files with md5sums...
    kops-linux-amd64 ... FAILED
==> ERROR: One or more files did not pass the validity check!

wknapik commented on 2018-06-06 12:56

:: failed to verify integrity or prepare kops-bin package

dennisoehme commented on 2017-11-20 19:11

@ainola now it's up-to-date again... sorry for delay!